Skip to main content
GET
/
tenants
List Tenants
curl --request GET \
  --url https://api.example.com/tenants \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/tenants"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/tenants', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "name": "<string>",
    "billing_plan": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "monthly_usage_cents": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "sip_enabled": false,
    "recording_enabled": true,
    "analytics_enabled": true,
    "max_concurrent_calls": 10,
    "monthly_call_limit": 1000,
    "meta_data": {},
    "sip_domain": "<string>",
    "sip_username": "<string>",
    "hipaa_enabled": false,
    "pci_enabled": false,
    "recording_format": "mp4",
    "retention_days": 90,
    "data_encryption_enabled": true,
    "webhook_url": "<string>",
    "webhook_timeout_seconds": 20
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100
offset
integer
default:0
status_filter
string | null

Response

Successful Response

name
string
required
Required string length: 1 - 255
billing_plan
string
required
Required string length: 1 - 100
id
string<uuid>
required
status
string
required
monthly_usage_cents
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
sip_enabled
boolean
default:false
recording_enabled
boolean
default:true
analytics_enabled
boolean
default:true
max_concurrent_calls
integer
default:10
Required range: 1 <= x <= 1000
monthly_call_limit
integer
default:1000
Required range: x >= 0
meta_data
Meta Data · object | null
sip_domain
string | null
sip_username
string | null
hipaa_enabled
boolean
default:false
pci_enabled
boolean
default:false
recording_format
string
default:mp4
retention_days
integer
default:90
data_encryption_enabled
boolean
default:true
webhook_url
string | null
webhook_timeout_seconds
integer
default:20